<?php
namespace WoocommercePpl\Data;

defined("WPINC") or die();


class AddressDataStore extends PPLDataStore
{
    protected $id_name = "ppl_address_id";

    protected $table_name = "ppl_address";


    public static function stores($stores)
    {
        return array_merge($stores, ["ppl-address" =>  self::class]);
    }

    public static function register()
    {
        add_filter('woocommerce_data_stores', [self::class, "stores"]);
    }

}