<?php

namespace WoocommercePpl\Model\Model;

defined("WPINC") or die();

class ShipmentCartModel extends \ArrayObject
{
    /**
     * @var array
     */
    protected $initialized = array();
    public function isInitialized($property) : bool
    {
        return array_key_exists($property, $this->initialized);
    }
    /**
     * 
     *
     * @var bool|null
     */
    protected $parcelRequired;
    /**
     * 
     *
     * @var bool|null
     */
    protected $mapEnabled;
    /**
     * 
     *
     * @var bool|null
     */
    protected $ageRequired;
    /**
     * 
     *
     * @var string|null
     */
    protected $codPayment;
    /**
     * 
     *
     * @var string[]|null
     */
    protected $disablePayments;
    /**
     * 
     *
     * @var bool
     */
    protected $disabledByProduct;
    /**
     * 
     *
     * @var bool|null
     */
    protected $disableCod;
    /**
     * 
     *
     * @var float|null
     */
    protected $codFee;
    /**
     * 
     *
     * @var float|null
     */
    protected $cost;
    /**
     * 
     *
     * @return bool|null
     */
    public function getParcelRequired() : ?bool
    {
        return $this->parcelRequired;
    }
    /**
     * 
     *
     * @param bool|null $parcelRequired
     *
     * @return self
     */
    public function setParcelRequired(?bool $parcelRequired) : self
    {
        $this->initialized['parcelRequired'] = true;
        $this->parcelRequired = $parcelRequired;
        return $this;
    }
    /**
     * 
     *
     * @return bool|null
     */
    public function getMapEnabled() : ?bool
    {
        return $this->mapEnabled;
    }
    /**
     * 
     *
     * @param bool|null $mapEnabled
     *
     * @return self
     */
    public function setMapEnabled(?bool $mapEnabled) : self
    {
        $this->initialized['mapEnabled'] = true;
        $this->mapEnabled = $mapEnabled;
        return $this;
    }
    /**
     * 
     *
     * @return bool|null
     */
    public function getAgeRequired() : ?bool
    {
        return $this->ageRequired;
    }
    /**
     * 
     *
     * @param bool|null $ageRequired
     *
     * @return self
     */
    public function setAgeRequired(?bool $ageRequired) : self
    {
        $this->initialized['ageRequired'] = true;
        $this->ageRequired = $ageRequired;
        return $this;
    }
    /**
     * 
     *
     * @return string|null
     */
    public function getCodPayment() : ?string
    {
        return $this->codPayment;
    }
    /**
     * 
     *
     * @param string|null $codPayment
     *
     * @return self
     */
    public function setCodPayment(?string $codPayment) : self
    {
        $this->initialized['codPayment'] = true;
        $this->codPayment = $codPayment;
        return $this;
    }
    /**
     * 
     *
     * @return string[]|null
     */
    public function getDisablePayments() : ?array
    {
        return $this->disablePayments;
    }
    /**
     * 
     *
     * @param string[]|null $disablePayments
     *
     * @return self
     */
    public function setDisablePayments(?array $disablePayments) : self
    {
        $this->initialized['disablePayments'] = true;
        $this->disablePayments = $disablePayments;
        return $this;
    }
    /**
     * 
     *
     * @return bool
     */
    public function getDisabledByProduct() : bool
    {
        return $this->disabledByProduct;
    }
    /**
     * 
     *
     * @param bool $disabledByProduct
     *
     * @return self
     */
    public function setDisabledByProduct(bool $disabledByProduct) : self
    {
        $this->initialized['disabledByProduct'] = true;
        $this->disabledByProduct = $disabledByProduct;
        return $this;
    }
    /**
     * 
     *
     * @return bool|null
     */
    public function getDisableCod() : ?bool
    {
        return $this->disableCod;
    }
    /**
     * 
     *
     * @param bool|null $disableCod
     *
     * @return self
     */
    public function setDisableCod(?bool $disableCod) : self
    {
        $this->initialized['disableCod'] = true;
        $this->disableCod = $disableCod;
        return $this;
    }
    /**
     * 
     *
     * @return float|null
     */
    public function getCodFee() : ?float
    {
        return $this->codFee;
    }
    /**
     * 
     *
     * @param float|null $codFee
     *
     * @return self
     */
    public function setCodFee(?float $codFee) : self
    {
        $this->initialized['codFee'] = true;
        $this->codFee = $codFee;
        return $this;
    }
    /**
     * 
     *
     * @return float|null
     */
    public function getCost() : ?float
    {
        return $this->cost;
    }
    /**
     * 
     *
     * @param float|null $cost
     *
     * @return self
     */
    public function setCost(?float $cost) : self
    {
        $this->initialized['cost'] = true;
        $this->cost = $cost;
        return $this;
    }
}