<?php

namespace WoocommercePpl\Model\Runtime\Normalizer;

defined("WPINC") or die();



use WoocommercePplVendor\Symfony\Component\Validator\Constraint;
trait ValidatorTrait
{
    protected function validate(array $data, Constraint $constraint) : void
    {
        $validator = \WoocommercePplVendor\Symfony\Component\Validator\Validation::createValidator();
        $violations = $validator->validate($data, $constraint);
        if ($violations->count() > 0) {
            throw new ValidationException($violations);
        }
    }
}