<?php
defined("WPINC") or die();
?>
<div id="ppl_filter_table" class="alignleft actions">
    <button id="ppl-create-shipments" class="button" style="display: none">Vytisknout zásilky</button>
    <a href="<?php echo $newCollectionUrl?>" class="button">Nový svoz</a>
    <?php if ($filters) : ?>
    <select name="ppl_filter">
        <?php foreach ($filters as $item): {
        ?>
        <option value="<?php echo $item["value"] ?>" <?php echo $filter === $item["value"] ? "selected=selected": ""?> >
        <?php echo $item["label"] ?>
        </option>
        <?php
        }
        endforeach;
        ?>
    </select>
    <button class="button download">Stáhnout</button>

    <script type="text/javascript">
        jQuery("#ppl_filter_table").find("button.download").on("click", function (ev) {
            ev.preventDefault();
            var val = jQuery("#ppl_filter_table").find("select").val();
            if (val != "0") {
                window.open("/index.php?ppl_download=" + encodeURIComponent(val), "_blank")
            }
        });
        jQuery("#ppl_filter_table").find('select').on("change", function (ev){
            var val = jQuery("#ppl_filter_table").find("select").val();
            if (!val || val === "0")
                jQuery("#ppl_filter_table button.download").hide();
            else
                jQuery("#ppl_filter_table button.download").show();
        }).trigger("change");

        jQuery(window).off("refresh_ppl_filter_table").on("refresh_ppl_filter_table", function() {

            wp.ajax.post({
                action: "ppl_filter_table",
                ppl_filter: jQuery("#ppl_filter_table").find('select').val()
            }).done(function (response) {
                jQuery("#ppl_filter_table").html(response.html);
            });
        })

    </script>
    <?php endif ?>
</div>


