<?php
defined("WPINC") or die();

$messages = [];
if (!$ageOk) {
    if ($parcelRequired)
        $messages[] = "Pro ověření věku je možné vybrat pouze obchod, ne výdejní box";
}
if ($parcelRequired && !$shipping_address)
    $messages[] = "Pro doručení zásilky je nutno vybrat výdejní místo";
$address = "";
if (wc()->cart && wc()->cart->get_customer()) {
    $address = join(", ", array_filter([wc()->cart->get_customer()->get_shipping_address(), wc()->cart->get_customer()->get_shipping_postcode(), wc()->cart->get_customer()->get_shipping_city()]));
    $country = wc()->cart->get_customer()->get_shipping_country();
}
?>
<div class="woocommmerce-ppl-parcelshop-inner">
    <div class="select-parcelshop">
        <a href="#" class="select-parcelshop" data-select-parcel-shop="" <?php if (!$ageOk): ?> data-parcelshop="1" <?php endif ?> data-address="<?php echo strip_tags($address) ?>" data-country="<?php echo strip_tags($country) ?>">
            <img src="<?php echo $image ?>">
        </a>
    </div>
    <div class="selected-parcelshop">
    <?php
    /**
     * @var \WoocommercePpl\Model\Model\ParcelDataModel $shipping_address
     */

    if (isset($shipping_address) && $shipping_address) {
        ?>
        <?php echo strip_tags($shipping_address->getAccessPointType()); ?> <a href="#" class="show-map" data-select-parcel-shop="show"
                                                                              data-lat="<?php echo $shipping_address->getGps()->getLatitude() ?>"
                                                                              data-lng="<?php echo $shipping_address->getGps()->getLongitude() ?>">
            [mapa]
        </a> <a href="#" class="clear-map" data-select-parcel-shop="clear">
            [zrušit]
        </a>,
        <?php echo strip_tags($shipping_address->getName()) ?>,
        <?php echo strip_tags($shipping_address->getStreet()) ?>,
        <?php echo strip_tags($shipping_address->getZipCode()) ?> <?php echo strip_tags($shipping_address->getCity()) ?>

        <?php
    } else {
        ?>
        <?php if (!$parcelRequired): ?>
            Zboží bude doručeno na doručovací adresu nebo kliknutím na ikonu vyberte místo
        <?php else: ?>
            Kliknutím na ikonu vyberte místo
        <?php endif; ?>

    <?php } ?>
    <input type="hidden" name="ppl_parcelshop" value='<?php echo $content ?>'>
    <!--
    <?php if ($messages): ?>
        <ul>
            <?php foreach ($messages as $message): ?>
                <li><?php echo $message ?></li>
            <?php endforeach; ?>
        </ul>
    <?php endif; ?>
    -->
    <?php if ($showMap): ?>
    <script type="text/javascript">
        jQuery("button[data-selet-parcel-shop-show]").trigger("click");
    </script>
    <?php endif; ?>
    </div>
</div>