<?php
defined("WPINC") or die();


return call_user_func(function() {

    $phases = get_transient(create_ppl_name("shipment_phases"));

    if (!$phases || defined("WOOCOMMERCE_PPL_REFRESH") )
    {
        try {
            $cpl = new \WoocommercePpl\Admin\CPLOperation();
            $phases = $cpl->getShipmentPhases();
            if ($phases) {
                set_transient(create_ppl_name("shipment_phases"), $phases);
                return $phases;
            }
        }
        catch (\Exception $ex)
        {

        }
    }

    return [
        "Order" => "Objednávka",
        "InTransport" => "V přepravě",
        "Delivering" => "Na cestě",
        "PickupPoint" => "Na výdejním místě",
        "Delivered" => "Doručeno",
        "Returning"=> "Na cestě zpět odesílateli",
        "BackToSender" => "Vráceno odesílateli",
    ];
});