<?php
defined("WPINC") or die();


return call_user_func(function() {

    $statuses = get_transient(create_ppl_name("shipment_statuses")) ?: [];

    if (!$statuses || defined("WOOCOMMERCE_PPL_REFRESH") )
    {
        try {
            $cpl = new \WoocommercePpl\Admin\CPLOperation();
            $statuses = $cpl->getStatuses();
            if ($statuses) {
                set_transient(create_ppl_name("shipment_statuses"), $statuses);
                return $statuses;
            }
        }
        catch (Exception $ex)
        {
        }
    }

    return $statuses;
});