<?php
defined("WPINC") or die();
?>
<?php

/**
@var \WoocommercePpl\Model\Model\ParcelDataModel $shippingAddress
 */

?>
<div id="ppl_parcelshop_<?php echo $meta_id ?>" style="display: <?php echo $show ? "block": "none" ?>;border: 1px solid gray; margin-top: 0.5em; margin-bottom: 0.5em; padding: 0.5em ">
    <?php if ($shippingAddress): ?>
    <?php
    $podminky = join(", ", array_filter([
        "Typ ". strip_tags($shippingAddress->getAccessPointType()),
        $shippingAddress->getActiveCardPayment() ? "Platba kartou" : null,
        $shippingAddress->getActiveCashPayment() ? "Hotově" : null,
    ]));
    ?>
    <?php echo strip_tags($shippingAddress->getName()) ?>,
    <?php echo strip_tags($shippingAddress->getStreet()) ?>,
    <?php echo strip_tags($shippingAddress->getZipCode()) ?> <?php echo strip_tags($shippingAddress->getCity()) ?><br/>
    <?php echo $podminky ?><?php if ($podminky): ?><br/><?php endif;?> <br/>
        <button style="display:none" class="ppl_parcelshop_parcelshop button">Nastavit jiný obchod</button>
        <button style="display:none" class="ppl_parcelshop_parcelbox button">Nastavit jiný box</button>
        <button style="display:none" class="ppl_parcelshop_clear button">Zrušit parcelshop/parcelbox</button>
    <?php else:?>
    Parcelshop není nastaven, zásilka bude směřována na doručovací adresu <br/>
        <button style="display:none" class="ppl_parcelshop_parcelshop button">Nastavit parcelshop</button>
        <button style="display:none" class="ppl_parcelshop_parcelbox button">Nastavit parcelshop</button>
    <?php endif; ?>
    <input type="hidden" name="ppl_parcelshop[<?php echo $meta_id ?>]" value='<?php echo $hidden_data ?>'>
    <script type="text/javascript">
        (function() {
            const data = {
                meta_id: <?php echo $meta_id ?>,
                order_id: <?php echo $order_id ?>,
                nonce: <?php echo json_encode($nonce) ?>
            }
            window.pplPlugin = window.pplPlugin || [];
            window.pplPlugin.push([
                "pplParcelshop",
                "ppl_parcelshop_<?php echo $meta_id ?>",
                data
            ])
        })();
    </script>
</div>
