<?php
defined("WPINC") or die();

$messages = [];
if (!$ageOk) {
    if ($parcelRequired)
        $messages[] = "Pro ověření věku je možné vybrat pouze obchod, ne výdejní box";
}
if ($parcelRequired && !$shipping_address)
    $messages[] = "Pro doručení zásilky je nutno vybrat výdejní místo";
$address = "";
if (wc()->cart && wc()->cart->get_customer()) {
    $address = join(", ", array_filter([wc()->cart->get_customer()->get_shipping_address(), wc()->cart->get_customer()->get_shipping_postcode(), wc()->cart->get_customer()->get_city()]));
    $country = wc()->cart->get_customer()->get_shipping_country();
}

?>
<tr>
    <th>Výdejní místo</th>
    <td>    <?php
        /**
         * @var \WoocommercePpl\Model\Model\ParcelDataModel $shipping_address
         */

        if (isset($shipping_address) && $shipping_address) {
            ?>
            <button data-select-parcel-shop="" <?php if (!$ageOk): ?> data-parcelshop="1" <?php endif ?>
                    data-address="<?php echo strip_tags($address) ?>" data-country="<?php echo strip_tags($country) ?>">
                Vybrat jiné výdejní místo
            </button> <?php if ($shipping_address) : ?><br> <?php if (!$parcelRequired): ?>
                <button data-select-parcel-shop="clear">Doručit na doručovací adresu</button>
                <br/><?php endif; ?><?php endif; ?>
            <?php echo strip_tags($shipping_address->getAccessPointType()); ?> <a href="#" data-select-parcel-shop="show"
                                                                                  data-lat="<?php echo $shipping_address->getGps()->getLatitude() ?>"
                                                                                  data-lng="<?php echo $shipping_address->getGps()->getLongitude() ?>">Mapa</a>
            <br/>
            <?php echo strip_tags($shipping_address->getName()) ?><br/>
            <?php echo strip_tags($shipping_address->getStreet()) ?><br/>
            <?php echo strip_tags($shipping_address->getZipCode()) ?><?php echo strip_tags($shipping_address->getCity()) ?>
            <br/>
            <?php
        } else {
            ?>
            <?php if (!$parcelRequired): ?>
                Zboží bude doručeno na doručovací adresu<br/>
            <?php endif; ?>
            <button data-select-parcel-shop="" data-selet-parcel-shop-show="1" <?php if (!$ageOk): ?> data-parcelshop="1" <?php endif ?>
                    data-address="<?php echo strip_tags($address) ?>" data-country="<?php echo strip_tags($country) ?>">
                Vybrat výdejní místo
            </button> |
            <button data-select-parcel-shop="cash" <?php if (!$ageOk): ?> data-parcelshop="1" <?php endif ?>
                    data-country="<?php echo strip_tags($country) ?>" data-address="<?php echo strip_tags($address) ?>">
                Výdejní místo přijímací hotovost
            </button>
        <?php } ?>
        <input type="hidden" name="ppl_parcelshop" value='<?php echo $content ?>'>
        <?php if ($messages): ?>
            <ul>
                <?php foreach ($messages as $message): ?>
                    <li><?php echo $message ?></li>
                <?php endforeach; ?>
            </ul>
        <?php endif; ?>
        <?php if ($showMap): ?>
            <script type="text/javascript">
                jQuery("button[data-selet-parcel-shop-show]").trigger("click");
            </script>
        <?php endif; ?>
    </td>
</tr>