<?php
namespace WoocommercePpl\Validator;
defined("WPINC") or die();
use WoocommercePpl\Model\Model\BankAccountModel;
use WoocommercePpl\Model\Model\PackageModel;
use WoocommercePpl\Validator\ModelValidator;

class PackageValidator extends ModelValidator {
    public function canValidate($model)
    {
        return $model instanceof PackageModel;
    }

    public function validate($model, $errors, $path)
    {
        /**
         * @var PackageModel $model
         */
        if ($model->getWeight()) {
            if ($model->getWeight() <= 0)
            {
                $errors->add("$path.weight", 'Váha u zásilky musí být kladné číslo');
            }
        }
    }
}
