<?php
defined("WPINC") or die();


return call_user_func(function() {

    $currencies = get_transient(create_ppl_name("cod_currencies"));

    if (!$currencies || defined("WOOCOMMERCE_PPL_REFRESH")) {
        try {
            $cpl = new \WoocommercePpl\Admin\CPLOperation();
            $currencies = $cpl->getCodCurrencies();
            if ($currencies) {
                set_transient(create_ppl_name("cod_currencies"), $currencies);
                return $currencies;
            }
        }
        catch (\Exception $ex)
        {
            return [];
        }
    } else if (is_array($currencies)) {
        return $currencies;
    }
    return  [];
});